رفتن به مطلب
  • 0

راه اندازی appcompat در بیسیک 9.80


E_b4a

سوال

سلام ، من تازه کار هستم و یکم توی راه اندازی کتابخونه appcompat مشکل دارم.. یه بار راه اندازی کردم ولی شبیه سازم رو نمیشناخت..

میشه لطفا راهنمایی کنین طریقه کار چطور هست و شبیه ساز باید چه ورژنی باشه؟؟؟

من میخوام appcompat v4 رو راه اندازی کنم.

ممنون.

لینک ارسال
به اشتراک گذاری در سایت های دیگر

7 پاسخ به این سوال تاکنون داده شده است

ارسال های توصیه شده

سلام 

واسه راه اندازی appcompat جدید نیازی به ادرس دهی پوشه نیست و فقط کافیه خط زیر رو به صفحه اصلی برنامه اضافه کنید و کتابخانه appcompat رو تیک بزنید

	#Extends: android.support.v7.app.AppCompatActivity

مشکل از پوشه ایکن برنامه است که داخل پوشه drawable نمیتونه ایکن رو پیدا کنه

از منوی  project>chose icon   ایکن جدید انتخاب کنید

درست میشه

لینک ارسال
به اشتراک گذاری در سایت های دیگر

در 14 ساعت قبل، Salar82 گفته است :

خیر لازم نیست...

 

داخل منیفستتون، خط 18 رو با این خط جایگزین کنید:

<style name="MyAppTheme" parent="@style/Theme.AppCompat.Light.NoActionBar">

 

:53: :53: :53: :53: :53:

نشد.. بازم همون خطا رو داد.

لینک ارسال
به اشتراک گذاری در سایت های دیگر

آیکون برنامتون رو عوض کنید و کلا خطوط 14 تا 26 رو با کدهای زیر جایگزین کنید:

SetApplicationAttribute(android:theme, "@style/MyTheme")


CreateResource(values, theme.xml,
<resources>
    <style name="MyTheme" parent="@style/Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">#0098ff</item>
		<item name="colorPrimaryDark">#007cf5</item>
        <item name="colorAccent">#AAAA00</item>
		<item name="windowNoTitle">true</item>
 	    <item name="windowActionBar">false</item>
    </style>
</resources>
)

 

کتابخونه App Compat 4 رو هم از اینجا دانلود کنید و داخل لایبرری هاتون بریزید.

https://www.b4x.com/android/forum/attachments/appcompatlib4_00-zip.83205/

چون B4X تحریم هست، همونطور که میدونید، باید از تحریم شکن استفاده کنید.

 

:53::53::53::53:

لینک ارسال
به اشتراک گذاری در سایت های دیگر

در 3 ساعت قبل، Salar82 گفته است :

کتابخونه App Compat 4 رو هم از اینجا دانلود کنید و داخل لایبرری هاتون بریزید.

https://www.b4x.com/android/forum/attachments/appcompatlib4_00-zip.83205/

چون B4X تحریم هست، همونطور که میدونید، باید از تحریم شکن استفاده کنید.

همه کارهایی که گفتین رو انجام دادم ولی بازم همون ارور رو میده... من sdk رو از همین سایت اصلی گرفتم..نکنه ناقص هست؟

لینک ارسال
به اشتراک گذاری در سایت های دیگر

سلام

برای راه اندازی و استفاده از اپ کامپت 4، باید این خط رو به اکتیویتی ای که در اون از اپ کامپت استفاده شده، بنویسید. همین

#Extends: android.support.v7.app.AppCompatActivity

 

اگر بیسیک شبیه ساز شما رو نمیشناسه، مشکل از اپ کامپت نیست.

باید شبیه ساز رو به بسیک متصل کنید.(بسته به مدل شبیه سازتون، روش اتصال به بیسیک متفاوته)

:53::53::53::53:

لینک ارسال
به اشتراک گذاری در سایت های دیگر

در در ۱۳۹۹/۱/۳۰ در 16:05، Salar82 گفته است :

سلام

برای راه اندازی و استفاده از اپ کامپت 4، باید این خط رو به اکتیویتی ای که در اون از اپ کامپت استفاده شده، بنویسید. همین

#Extends: android.support.v7.app.AppCompatActivity

 

اگر بیسیک شبیه ساز شما رو نمیشناسه، مشکل از اپ کامپت نیست.

باید شبیه ساز رو به بسیک متصل کنید.(بسته به مدل شبیه سازتون، روش اتصال به بیسیک متفاوته)

:53::53::53::53:

سلام.. من فایل example خود appcompat رو باز کردم و همچین خطایی میده.

Error.jpg

 

من چندتا فایل آموزشی قدیمی راه اندازی appcompat رو دیده بودم که یه سری پوشه هایی اضافه میکردن.. میخواستم بدونم برای appcompat v4 نیازی به این کارا نیست؟

ممنون میشم راهنمایی بفرمایید.

لینک ارسال
به اشتراک گذاری در سایت های دیگر

در 11 دقیقه قبل، E_b4a گفته است :

میخواستم بدونم برای appcompat v4 نیازی به این کارا نیست؟

خیر لازم نیست...

 

داخل منیفستتون، خط 18 رو با این خط جایگزین کنید:

<style name="MyAppTheme" parent="@style/Theme.AppCompat.Light.NoActionBar">

 

:53: :53: :53: :53: :53:

لینک ارسال
به اشتراک گذاری در سایت های دیگر

بایگانی شده

این موضوع بایگانی و قفل شده و دیگر امکان ارسال پاسخ نیست.

  • کاربران آنلاین در این صفحه   0 کاربر

    • هیچ کاربر عضوی،در حال مشاهده این صفحه نیست.
×
×
  • اضافه کردن...